Version - Firefox - Addon - Datei

Jan 28 2010

Addon unter neuer Firefox-Version lauffähig machen

Kategorie Internet-Zeugs


Neulich erst habe ich mich ein wenig darüber echauffiert, dass man bei jedem größeren Versionssprung des Firefox-Browsers damit rechnen muss, dass einige der Erweiterungen nicht mehr ihren Dienst verrichten. Speziell ging es um das Addon Sage, welches sich unter Firefox 3.6 automatisch deaktivierte. Da der Autor noch keine neue Version zur Verfügung gestellt hatte, musste ich eine andere Version des Addons aus einer etwas zweifelhaften Quelle installieren. Ein Kommentar im entsprechenden Beitrag zeigte mir einen einfacheren Weg auf.

Innerhalb der Addon-Pakete (*.xpi-Files) ist genau angegeben, unter welcher Version das Addon lauffähig ist. Gibt es einen größeren Versionssprung, wird das Addon automatisch deaktiviert, um mögliche Inkompatibilitäten und Fehlfunktionen auszuschließen. Meist ändert sich an der API des Browsers jedoch kaum etwas, so dass die meisten Erweiterungen im Grunde auch unter der neuen Firefox-Version lauffähig sind. Hier nun eine kleine Anleitung, wie man sowohl den neuesten Firefox als auch seine Lieblings-Addons nutzen kann:

  • Addon auf https://addons.mozilla.org/de/firefox suchen
  • Auf der Seite des Addons ganz nach unten scrollen und auf den Link „Alle Versionen anzeigen“ klicken
  • Bei der entsprechenden Version mit der rechten Maustaste auf den Link „Zu Firefox hinzufügen“ klicken
  • „Ziel speichern unter“ wählen und die *.xpi-Datei abspeichern (nicht installieren!)
  • Die Datei von *.xpi in *.zip umbenennen und entpacken
  • Die Datei install.rdf mit einem Texteditor öffnen
  • Nach der Zeichenfolge „maxVersion“ suchen und die Firefox-Versionsnummer anpassen (>= der aktuellen Version)
  • Archiv wieder packen und von *.zip nach *.xpi umbenennen
  • *.xpi-Datei im Firefox öffnen und installieren

Sollte der Weg nicht funktionieren, dann wurde die Firefox-API vielleicht doch etwas mehr angepasst. In dem Fall die Erweiterung wieder deinstallieren und auf eine neue „offizielle“ Version warten.

4 Kommentare

4 Kommentare zu “Addon unter neuer Firefox-Version lauffähig machen”

  1. Michaelam 07. Feb 2010 um 12:52 Uhr

    Als Sage-Alternative habe ich übrigens im Moment „Feed Sidebar“ im Einsatz. http://www.chrisfinke.com/addons/feedbar/

  2. blechkoppam 07. Feb 2010 um 18:05 Uhr

    @Michael: Danke für den Hinweis. Noch gut nach Hause gekommen? 😉

  3. Tinten Toner Versandam 19. Feb 2010 um 00:13 Uhr

    Eigentlich ganz einfach die Geschichte, oder?

    Ich habe das aber auch erst gelernt, als ich ein nützliches Plugin aus dem engl. ins deutsche übertragen habe…

    Gruß nach Dresden!

  4. […] Addon unter neuer Firefox-Version lauffähig machen […]

Einen Kommentar hinterlassen


Spammen zwecklos!
Lediglich zum Zwecke der Linkverbreitung abgegebene Kommentare werden kommentarlos gelöscht!